# Build Bucket

This directory contains all the information to create a base build
environment for the Gridded GLM tool.

## Built Bucket Creation Instructions

The below commands will build the buildbucket image, tagged with the current
date, and then push it to the container registry on gitlab.

```bash
docker build -t gitlab.ssec.wisc.edu:5555/cspp_geo/cspp-geo-gridded-glm/buildbucket:r$(date '+%Y%m%d') .
docker push gitlab.ssec.wisc.edu:5555/cspp_geo/cspp-geo-gridded-glm/buildbucket:r$(date '+%Y%m%d') 
```

After testing the image you can tag it as latest by doing:

```bash
docker tag gitlab.ssec.wisc.edu:5555/cspp_geo/cspp-geo-gridded-glm/buildbucket:r$(date '+%Y%m%d') gitlab.ssec.wisc.edu:5555/cspp_geo/cspp-geo-gridded-glm/buildbucket:latest
docker push gitlab.ssec.wisc.edu:5555/cspp_geo/cspp-geo-gridded-glm/buildbucket:latest

```

## Usage

To create the Gridded GLM package with the version number 1.0.0 in your current directory:

```bash
docker run --rm -v "${PWD}":/dock --env GGLM_REF=develop gitlab.ssec.wisc.edu:5555/cspp_geo/cspp-geo-gridded-glm/buildbucket:latest ./package.sh 1.0.0
```

If some things need to be customized you can specify various environment
variables with `-e` to `docker run`. See the top of the `Dockerfile` for
more information on available environment variables.

For example, to use a local copy of this repository:

```bash
docker run --rm -v $PWD:/dock -v $PWD:/work/cspp-geo-gridded-glm gitlab.ssec.wisc.edu:5555/cspp_geo/cspp-geo-gridded-glm/buildbucket:r$(date '+%Y%m%d') ./package.sh v1.0.0-prealpha0
```
